<template>
    <div class="myCount3">
        <section class="wrapper">
      <!---->
      <!--表單-->
      <form class="mycount2Form">
        <div class="form_b">
          <!--<section class="ten_b">-->
            <!--<span class="ten_b_itemsName">姓名-->
              <!--<p class="allPageRemind">*</p>-->
            <!--</span>-->
            <!--&lt;!&ndash;&ndash;&gt;-->
            <!--&lt;!&ndash; 姓名輸入欄位&ndash;&gt;-->
            <!--<section class="ten_b_content">-->
              <!--<input class="content_enter w_10" type="text" value="" name="name" placeholder="请输入真实姓名" ref="name" maxlength="20">-->
              <!--<p class="allPageRemind" style="margin-top: 2px;font-size: 0.24rem;" v-if="isname">*字段未填写完成</p>-->
            <!--</section>-->
          <!--</section>-->
          <section class="ten_b"><span class="ten_b_itemsName">Email</span>
            <section class="ten_b_content">
              <!---->
              <!-- mail輸入欄位-->
              <input class="content_enter w_10" type="email" :value="email" name="email" placeholder="请输入E-mail"  @input="inputEmit($event)" >
              <p class="allPageRemind" style="margin-top: 2px;font-size: 0.24rem;" v-if="isemail">*字段格式不正确</p>
            </section>
          </section>
          <section class="mb mb_pre mgt_12">
            <h4 class="item_name">是否接受优惠讯息通知？
              <p class="allPageRemind">*</p>
            </h4>
            <!---->
            <!-- 行銷優惠-->
            <div class="pre">
              <div class="pre_box">
                <input id="pre_yes" type="radio" name="pre" checked>
                <span class="after"  :class="{'high':wantSend}" @click="yes">
              <span class="before" v-if="wantSend"></span>
              </span>
                <label for="pre_yes" class="item">是</label>
              </div>
              <div class="pre_box">
                <input id="pre_no" type="radio" name="pre">
                <span class="after"  :class="{'high':wantSend === false}" @click="no">
              <span class="before" v-if="wantSend===false"></span>
              </span>
                <label for="pre_no" class="item">否</label>
              </div>
            </div>
          </section>
          <p class="allPageRemind" style="font-size: 0.24rem;position: relative;top: -32px;" v-if="iswantSend">*字段未填写完成</p>
        </div>
        <div class="form_b">
          <section class="ten_b btn_b">
            <!--class="btn rg3Btn"-->
            <!--<div @click="submit">24334</div>-->
            <div  class="btn rg3Btn" @click="submit">确认修改</div>
          </section>
        </div>
      </form>
      <!---->
      <!-- popUp-->
      <section class="pop" style="display: block" v-if="popshow">
        <section class="pop_content" v-if="update">
          <section class="done_icon">
            <div class="doneImg"></div><span>更新成功</span>
          </section>
          <!-- -->
          <!-- 修改完成後的連結-->
          <div class="pop_confirmBox">
            <a class="confirm_no" @click="back">回个人信息</a>
            <a class="confirm_yes" @click="back1">回会员中心</a>
          </div>
        </section>
        <section class="pop_content" v-if="update === false">
          <section class="done_icon">
            <div class="doneImg"></div><span>更新成功</span>
          </section>
          <div class="pop_info">
            <p>已发出验证信</p>
            <p>请于24小时内至E-mail收取验证信息进行验证，逾期失效</p>
          </div>
          <!-- -->
          <!-- 修改完成後的連結-->
          <div class="pop_confirmBox">
            <a class="confirm_no" @click="back">回个人信息</a>
            <a class="confirm_yes" @click="back1">回会员中心</a>
          </div>
        </section>
      </section>
    </section>
    </div>
</template>
<script>
    import store from  '../../utils/store.js';
export default {
    data(){
        return{
                name:'',
                email:'',
                getNews:'',
                wantSend:'',
                popshow:false,
                isname:'',
                isemail:'',
                iswantSend:'',
                update:'',
                oldemail:'',
        }
    },
    methods:{
        inputEmit(data){
            console.log('data',data);
            this.email = data.target.value;
            console.log('email',this.email);
        },
        //姓名填写不超过20位数字
      checklength(str){
            var v_temp = str.replace(/^\s+/g, '').replace(/\s+$/g, '');
            if(v_temp.length!=0){
                str = v_temp;
            }
            let length = str.replace(/[^\x00-\xff]/g,"**").length;
            if(length > 0 && length <= 20){
                return true;
            }else{
                return false;
            }

         },
        //js验证邮箱
        isEmail(str){
            if(str==null){
                return;
            }else{
                var reg=new RegExp(/^([a-zA-Z0-9._-])+@([a-zA-Z0-9_-])+(\.[a-zA-Z0-9_-])+/);
                return reg.test(str);//检测字符串是否符合正则表达式
            }
       },
       back(){
            this.popshow = false;
            this.$router.push('/myCount1');
            store.commit('setData',['myCount1','type','true']);
            this.$forceUpdate();
        },
        back1(){
            this.popshow = false;
            this.$router.push('/home');
            this.$forceUpdate();

        },
        //更新个人信息
        submit(){
            let that = this;
            console.log('123');
            // this.name = this.$refs.name.value;
            // this.email = this.$refs.email.value;
            if(!this.isEmail(this.email)){
                this.isemail = true;
                this.$forceUpdate();
                return;
            }else{
                this.isemail = false;
                this.$forceUpdate();
            }
            if(this.wantSend === ''){
                this.iswantSend = true;
                this.$forceUpdate();
                return;
            }else{
                this.iswantSend = false;
                this.$forceUpdate();
            }
            if(store.state.myCount3.data.contactId){
                that.contactId = store.state.myCount3.data.contactId;
            }else{
                that.contactId = sessionStorage.getItem('contactId');
            }
            let data = {
                contactId: that.contactId,
                // contactName:this.$refs.name.value,
                emial:this.email,
                getNews: this.wantSend,

            }
            console.log('data',data);
            // return;
            this.config.server(
                "/member/info/update",
                "POST",
                data,
                (data)=> {
                    console.log('success',data);
                    console.log(data);
                    this.popshow = true;
                    if(this.oldemail === this.email){
                        this.update = true;
                    }else{
                        this.update = false;
                    }
                    this.$forceUpdate();

                },
                (error)=> {
                    console.log('error',error);
                },
            )
        },
        yes(){
            this.wantSend = true;
            this.$forceUpdate();

        },
        no(){
            this.wantSend = false;
            this.$forceUpdate();

        }

    },
    created(){
        this.name = '';
        this.getNews = '';
        this.wantSend = '';
        this.popshow = false;
        this.isname = '';
        this.isemail = '';
        this.iswantSend ='';
        let data = store.state.myCount3.data;
        console.log('persondata',data);
        this.email = store.state.myCount3.data.email;
        this.wantSend = store.state.myCount3.data.wantSend;
        this.update = '';
        this.oldemail = store.state.myCount3.data.email;
        // if(store.state.myCount3.data.wantSend === true){
        //     this.wantSend = true;
        // }else{
        //     this.wantSend = false;
        // }


    }

}

</script>
<style scoped>
  .myCount3{
    height: 100%;
  }
  .before{
    width: 10px;
    height: 10px;
    content: '';
    position: relative;
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
    /* border: 1px solid #545147; */
    /* border: 1px solid red; */
    background-color: #fff;
    border-radius: 50%;
    top: 9px;
    left: 4px;
    display: block;
    z-index: 999;
  }
  .after{
    content: '';
    width: 20px;
    height: 20px;
    position: relative;
    -webkit-transform: translate3d(0, -50%, 0);
    transform: translate3d(0, -50%, 0);
    background-color: #fff;
    border: 1px solid #827159;
    /*border: 1px solid blue;*/
    border-radius: 50%;
    top: 21px;
    left: 4px;
    display: block;

  }
  .high{
    background-color: #827159;
  }
  .item{
    left: -10px;
    top: -11px;
  }

</style>
